# List contacts

List contacts. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Contact

GET `/Contact`

List contacts. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint retorna todos os contatos cadastrados.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>EnabledFilter</code></td><td><code>query</code></td><td><code>EnabledFilter</code></td><td>No</td><td>0 = All; 1 = Enabled; 2 = Disabled</td><td>—</td></tr><tr><td><code>Name</code></td><td><code>query</code></td><td><code>string</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Contact?EnabledFilter={EnabledFilter}&Name={Name}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Sucesso ao retornar os contatos</td><td><code>application/json</code> · <code>array&lt;ContactDto&gt;</code></td></tr></tbody></table>

**Example response (200):**



```
[
  {
    "id": 0,
    "firstName": "string",
    "lastName": "string",
    "fullName": "string",
    "linkedInUrl": "string",
    "title": "string",
    "companyName": "string",
    "accountId": 0,
    "preferredUserId": 0,
    "enabled": true,
    "externalId": "string",
    "primaryEmail": "string",
    "primaryPhone": "string"
  }
]
```



## Data models

`ContactDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>firstName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>lastName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>fullName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>linkedInUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>title</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>companyName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>accountId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>preferredUserId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>enabled</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>externalId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>primaryEmail</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>primaryPhone</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`EnabledFilter`0 = All; 1 = Enabled; 2 = Disabled

`integer`
